version: "3.3"
services:
  # php 容器
  tuoluojiang:
    container_name: tuoluojiang #指定容器名
    image: tuoluojiang #指定镜像名
    build:
      context: ./helper/docker-compose/php #dockerfile文件路径
      dockerfile: Dockerfile #制定dockerfile文件名称
    restart: always
    environment:
      TZ: Asia/Shanghai
    ports:
      - 20300:20200
    tmpfs: /var/temp #上传临时文件夹
    working_dir: /var/www
    volumes:
      - ./:/var/www #程序运行目录
      - ./storage:/var/www/temp #程序缓存目录
      - ./helper/docker-compose/php/php-ini-overrides.ini:/etc/php/8.0/fpm/conf.d/99-overrides.ini
    command:
      php ./bin/laravels restart
    networks:
      app_net:
        ipv4_address: 192.168.10.16
networks: #网络配置
  app_net: #网络名称
    driver: bridge
    ipam: #网络配置
      driver: default
      config:
        - subnet: 192.168.10.0/24 #IP区间

